<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
          package="com.app.labs.mdpcoursework3">

    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION"/>
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION"/>
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE"/>
    <uses-permission android:name="android.permission.INTERNET"/>

    <application
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">
        <activity android:name=".Dashboard">
            <intent-filter>
                <action android:name="android.intent.action.MAIN"/>

                <category android:name="android.intent.category.LAUNCHER"/>
            </intent-filter>
        </activity>
        <activity
            android:name=".RecordJourney"
            android:label="@string/title_activity_start_journey"
            android:launchMode="singleTop"
            android:parentActivityName=".Dashboard"
            android:theme="@style/AppTheme.NoActionBar">
        </activity>
        <activity
            android:name=".JourneyResults"
            android:label="@string/title_activity_journey_results"
            android:parentActivityName=".Dashboard"
            android:theme="@style/AppTheme.NoActionBar">
        </activity>

        <service
            android:name=".Services.RecordJourneyService"
            android:enabled="true"
            android:exported="true"
            android:parentActivityName=".Dashboard">
        </service>

        <provider
            android:name=".ContentProvider.JourneyContentProvider"
            android:authorities="com.app.labs.mdpcoursework3.ContentProvider.JourneyContentProvider"
            android:exported="true"
            android:multiprocess="true">
        </provider>

        <activity android:name=".RequestPermissions">
        </activity>
        <meta-data
            android:name="com.google.android.geo.API_KEY"
            android:value="@string/google_maps_key"/>

    </application>

</manifest>